Groovy Documentation

## groovy.util
[Java] Class ObjectGraphBuilder.DefaultReferenceResolver

    java.lang.Object
      groovy.util.ObjectGraphBuilder.DefaultReferenceResolver

All Implemented Interfaces:
  ReferenceResolver

    public static class ObjectGraphBuilder.DefaultReferenceResolver

Default impl, always returns 'refId'

Method Summary
`java.lang.String` | `getReferenceFor(java.lang.String nodeName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getReferenceFor

    public java.lang.String getReferenceFor(java.lang.String nodeName)

Groovy Documentation